AutoCAD .NET :: Draw Triangle In Segment Of Polyline In Segment Direction

Sep 9, 2012

I want to draw triangle in segment of polyline in segment direction.

I have target segment and center point of it:

  Polyline line = ...
  LineSegment3d centerSegment = line.GetLineSegmentAt(centerSegmentIndex);
  Point3d centerPosition = centerSegment.MidPoint;

I can find direction of this segment:

  Vector3d zaDirection = line.GetLineSegmentAt(centerSegmentIndex).Direction;

Next, I create list of points:

  List<Point3d> points = new List<Point3d>();
  points.Add(centerPosition);
  points.Add(centerPosition.Add(new Vector3d(ZASize, +ZASize, 0)));
  points.Add(centerPosition.Add(new Vector3d(ZASize, -ZASize, 0)));

And draw it:

wd.Geometry.Polygon(new Point3dCollection(points.ToArray()));

Ok, I have triangle but... it's not in segment direction, it's X-direction.

I try to rotate it:

points.Add(centerPosition.Add(new Vector3d(ZASize, +ZASize, 0)).RotateBy(0, zaDirection, centerPosition));

But it's not the same as I want.

How I can draw triangle by serment direction?

View 5 Replies


ADVERTISEMENT

AutoCAD .NET :: Get Polyline Segment Lengths

Aug 31, 2011

I am basically looking for a way to get the length of each polylie segment in the overall polyline.  Not the total length.

I then need to comapre these lengths.  I guess I could do some math to get the values of the verticies, but is there a built in method to do this? how to get started?

View 3 Replies View Related

AutoCAD Civil 3D :: Flow Segment Label Using Total Flow Type Travel Time For Each Segment

Nov 27, 2012

Flow segment label using total Flow Type travel time for each segment:

C3D 2014 SP1
W7x64; i7 8gb; Radeon HD 5700
[URL]....

View 4 Replies View Related

AutoCAD .NET :: Create A Polyline With Invisible Segment?

Jun 21, 2011

if it's possible to create a polyline with invisible segment.

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Vertices Of A Polyline Segment

Dec 18, 2011

I have to intersect polylines "POLYLINE" and "LWPOLINE" with a line and get all the angles of all segments of the polyline that are intersected.

To do this I used a loop that monitors all the vertices of each polyline to find the two vertices of the polyline segment that intersects the line. Unfortunately, these polylines have thousands of vertices and the processing done in this way takes too long.

With the vlax-curve-getClosestPointTo I could very quickly find the vertex of the polyline closest to that intersected with the line, but I need to find the other vertex of the polyline segment to determine the angle of this.

Another question: is there a quick function that returns the exact point of intersection of two curves (e.g. A line and a polyline, or a line and a circle?

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Angle Of Polyline Segment At Specified Point

Mar 19, 2013

I am writing a routine that will place a piece of text at a specified point along a polyline. My problem is to determine the angle for the text. It needs to be the same as the segment of the polyline that it falls on. Just can't get my head around how to get that angle?

I can get a list of the vertex point of the polyline, but how do I determine the segment the point falls on?

View 3 Replies View Related

AutoCAD 2010 :: Draw Line Segment On The Surface Of 3D Object?

May 3, 2012

I made a 3D box shape in AutoCAD. I would like to draw a line on one of the surfaces of the box. Also I know you can use the the linear tool under Annotations to display dimensions of 2D lines. But I don't know how to do it so that it that shows the dimension on a vertical axis as shown in the picture below. 

View 9 Replies View Related

AutoCad :: How To Draw Red Line (Arc Between Points In Spherical 4 Side Segment)

Jun 2, 2011

how can i draw this red line in autocad, its an arc from point 1 to point 3 in spherical 4 side segment? point 1 to point 2 to point 3 to point 4 closing the segment at point 1 and point 4 (fused)

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Convert Ellipse Segment Into Spline Or Polyline

May 3, 2012

Our customer send us drawing with ellipse segments  into.

With Autocad 2008 I bought a plug-in call SplineConvert that did the job perfectly but not compatible with 2013.

Is there any plugin that could replace that tool  ?

Is there any standard ACAD command that could easily do this Job ?

I need a way to make 2 or 3 times per week  this converting on all ellipses of large and detail 2D drawings so no time to offset in and out all those .

I try also DXFOUT in R12 but all the spline are being converted into 3d  polyline making a huge files that froze my PC.

I also try FLATTEN but did not see how it work , the ellipse stay an ellipse.

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Place Aligned Dimensions On Each Segment Of Polyline?

Feb 6, 2006

Have Lisp to place aligned dimensions on each segment of a polyline?

I would use it for reinforcing bar detailing.

View 9 Replies View Related

Illustrator :: Can Only Draw One Line Segment

Oct 19, 2013

I'm sure this is a simple thing but it's driving me crazy. Every time I draw a line it gets erased as soon as I try to draw the next one.

View 7 Replies View Related

AutoCAD Inventor :: How To Draw Segment Elbow 90 Degrees And Create Flat Pattern

Jan 16, 2013

I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?

View 9 Replies View Related

Illustrator :: Line Segment Tool Does Not Allow To Draw Horizontal Line?

Oct 18, 2012

I must have pushed one or the other button but I don't know which one!
 
I use CS5 and have now a small arrow on my line segment tool (as shown in the picutres):

Ever since that when i click shift, it just allows me to draw vertical lines, rather than vertical or horizontal.

View 1 Replies View Related

AutoCad 3D :: Remove Segment Of 3D Object

May 16, 2011

The only way I know to remove the segment of this 3d object in between the orange lines is to slice on each orange line and select to keep both sides which is pretty tedious since I will need to do this every 3 feet over a 170 foot span....is there another easier way to do multiple mortar joints on a 3d object like this?

segment.gif

View 4 Replies View Related

AutoCAD Civil 3D :: Eliminating A Segment In A Lot Line

Oct 9, 2012

I have a subdivision plat that I'm working on with a curved lot line.  When I label this particular lot line, Civil 3D labels it like it's two different segments.  In other words, instead of labeling the line as a 100 foot long arc with a radius of 100 feet, it labels it as a 60 foot arc and a 40 foot arc.  I can't figure out how to combine the two segments. 

All of the lots lines were created from polyline objects, and there was no break in the original line work (nor is there any indication of a break in this location when I select it). 

View 2 Replies View Related

AutoCAD Civil 3D :: Reverse Profile For Segment

Mar 5, 2013

We have a large pipe project that forms a very large 'C' shape.  To follow convention with advancing stations from left to right and north being up, we are running into some problems.

1). For Civil 3D, can you reverse the profile for a section, say station 9+00 to 18+00 only.  The remainder would be one direction.

2). What do others use for convention for north arrow direction and advancing stations?

Our first sheet goes from east to west, the second and third sheets run north to south, the next ones are west to east, and the final ones are north to south.

3).  What will be the layout/formatting?

View 5 Replies View Related

AutoCAD Inventor :: Creating Wiring Segment

Jul 24, 2012

Another question about the Cable and Harness module.  When I am trying to create Segments, I can never select cylindrical features.  Using the Tube and Pipe module, I can select them no problem, but for some reason under Cable and Harness I cannot.

This is a huge pain for me for two reasons, all of our wire loops are cylindrical, and I am unable to place a segment off of an already existing Flexible Hose or other Electrical segment.

Is this a limitation of the Cable and Harness module, that you cannot place segments relative to a cylindrical feature?  

View 9 Replies View Related

AutoCAD Inventor :: Error Detected While Writing Segment?

Apr 3, 2013

I have been working for the last couple of hours "copying objects" into my part file.  I am creating composites from surface data that exists in other part files.  I now cannot save my part which I have renamed TEST.IPT for the purposes of this request.  This is a common workflow for me when I am recreating a part from multiple imported CATIA files.  (I know it is hard to guess withour providing the actual data.)

Problems encountered while saving the document.
Error(s) detected while writing segment PmDCSegment in database TEST.IPT
Error detected while saving object of type MIxTransactablePartition in TEST.IPT
Error detected while saving object of type MIxPartition in TEST.IPT
The attempted write operation did not succeed. Part file may be corrupt.
The database in TEST.IPT could not be saved

View 6 Replies View Related

AutoCAD Inventor :: Invalid Reference To Segment Object Used

Dec 10, 2012

I derived in a part and I am trying to use a sketch from it in my new part.

I am trying to revolve my sketch and when I do I get this error.

I am using a English version, and I cant read chinese at all.  Design doctor shows no errors, but this will not revolve. Tried Extruding and get the same error.  When I try to revolve, it shows a preview of my part correctly, but when I click apply in the revolve dialog, that is when I get this error.

The files are attached and here is a video of my steps. In the zip file, the -M8.ipt needs the EOF marker moved all the way to the bottom.

Windows 7 x64 -12 GB Ram
Intel i7-930 @ 3.60ghz
nVidia GTS 250 -1GB (Driver 301.42)
INV Pro R2013, SP1.1
Vault Basic 2013

View 6 Replies View Related

AutoCAD Civil 3D :: Straighten Curved Parcel Segment

Jun 19, 2013

Is there a way to straighten a curved parcel segment? IOW Turn the curve in to a straight line.

I thought I has seen this coverd here before. But I can't find it.

Civil 3D 2012 SP 2.1
Dell Precision T7400, Xeon CPU 3.16 GHz
Win 7 Pro, 64-bit,12 GB RAM, Nvidia Quadro FX 4600

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Add Segment To A Leader?

May 11, 2012

I've managed to retrieve the important points of a leader with the following

(setq edata (entget (entlast)))
(setq leader? (cdr (assoc 0 edata)))
(cond
((= leader? "LEADER")())
(T(setq edata (cdr (entget (car (entsel "
Pick a leader: "))))))
)

[code].....

What I'd like to do is add a horizontal segment of a known length to the leader, obviously based on the last point.  I have to assume that the user is in the appropriate UCS for this, but I can trouble shoot for that later.

subst old list iwth a new list and apply it to the entity somehow?

View 9 Replies View Related

AutoCAD Civil 3D :: Feature Lines - Arc Segment Fillet

Nov 26, 2012

I create a feature line including some arcs. While editing I need to redimension the feature line, but the arcs will lose tangency. Therefore I have to break/ trim/delete/manually edit the tangents until they intersect and then FILLET them to get a new arc. I tried EDIT CURVE with 0 Radius but it's not acceptable. Any workaround on this one (filleting feature lines like polylines or a closing option)?

View 2 Replies View Related

AutoCAD Inventor :: Interference Of Solids And Line Segment

Apr 7, 2013

I'm trying to figure a "fast" algorithm to obtain the amount of material (in linear distance) between 2 points within an assembly i.e. if I draw a line between any two points P1 & P2 in an assembly, what is the length of this segment that goes through material and what is the length that goes trough empty space?

For now I'm creating a thin cylinder as a new part, place it with one end at P1 and the other end at P2, calculate the interference volume of this body with the rest of the assembly and divide this number by the total volume of the cylinder. but has some problems:

1. It is VERY slow, and I want to call this function lots of times.
3. Is not accurate due to the finite diameter of the cylinder.
2. If the assembly has some interferences, the result is wrong (accounting same volume more than once)

View 2 Replies View Related

AutoCAD 2013 :: How To Trim Circle Segment Between 2 Red Lines

Oct 13, 2012

I posted a file drawing of a basic symbol.....how do i trim the circle segment between the 2 red lines?

I have drawn this symbol in space....should i be anchoring it to the 0,0 co-ordinates?

View 6 Replies View Related

AutoCAD Civil 3D :: Labeling A Line With Multiple Segments As One Segment?

Jul 3, 2012

I have a bunch of lines that are created with multiple segments.  I'd like to annotate the total length.  I can't figure out to do this without labelling each segment along the line using Line and Curve commands.  How do I get one annotation that only shows the total of all the sements? 

View 9 Replies View Related

AutoCAD Civil 3D :: How To Delete / Remove Parcel Segment Element

Oct 8, 2011

How can I remove Parcel Segment Element? I have oPar as AeccParcel and oSeg as AeccParcelSegment

AeccParcelLoop loop = oPar.ParcelLoops[0];           
List<AeccParcelSegmentElement> SegElem = new List<AeccParcelSegmentElement>();
foreach (AeccParcelSegmentElement segE in loop)       
{               
SegElem.Add(segE); // Seem not good idea here.. because all segE in this list look the same           
}
foreach (AeccParcelSegmentElement oSE in oSeg)           
{               
if (!SegElem.Contains(oSE))               

***delete/remove oSE here //can't find info, how to delete/remove this segment element           
} 

View 6 Replies View Related

AutoCAD Civil 3D :: Parcel Segment Displays Differently In Version 14

May 20, 2013

I was upgraded to version 14 on Friday, and when I opened my drawing that was started in version 2011, the parcel that I created looks different, and not in a good way. My parcel boundary now appears as if it were a polyline with linetype generation is enabled, whereas in previous versions, linetype generation would reset at each vertex. How do I change the way my parcel segments display in version 14?

View 1 Replies View Related

AutoCAD Inventor :: Harness Segment Sweep Operation Failed?

Jan 19, 2012

I am using Cable and Harness (Autodesk Inventor 2012 64 bit on Win7 64bit) and when trying to create the segment I only get the error message "The sweep operation failed for the harness segment Segment1 Adjust the segment geometry and try again". It does not matter what data for diameter and bend radius I am using under "Harness properties", it never works. When checking the "Bend radius" for violation it says nothing. I am attaching the files.

View 2 Replies View Related

AutoCAD Civil 3D :: Line Segment Label Anchor Point

Jan 30, 2013

I am trying to create surface elevation labels along a polyline and I am having an issue with the label anchor point.  I have created a line label style that uses a reference text to produce the elevation from a specified surface, however when I insert the label the default anchor point for the label is in the center of the line segment and that is where the reference text is taking the surface elevation.  I am looking for the elevation of the surface at the start of each line segment, and I do not know how I can make it stop defaulting to the center of the line segment.

Attached is an overview of what my labels look like, where the anchor point is, and the layout properties within my label style. I am using C3D 2012.

View 9 Replies View Related

AutoCAD Inventor :: Check Space Available In Segment In Cable And Harness

Aug 12, 2013

Am looking for the feasibility to check space available in Segment.I've assigned a segment diameter as 2 mm, and i have 2 wires have .9 mm dia each, Now i want to know what will be the remaining space available in the segment.

in another way around, if am adding more wires in the segment will inventor give any error message stating that there is no space for route more wires in that segment,

View 2 Replies View Related

AutoCad 3D :: Create 3D Model Of Segment Of Jogging Path / Trail

Jul 17, 2013

I need to create a 3D model of a segment of a jogging path/trail that has a drainage feature called a knick. I pasted a freehand drawing of what a knick looks like below this post. It's a semi-circular area that slopes to one side at a small angle on a trail that is otherwise flat. I need a model of a trail segment with two of these sloping indentations that is just a smooth, gray object- nothing fancy. I managed to create a simple 3D model for a second trail design that has a slope to one side throughout the trail- made a box with a tapered edge and rendered it gray.

Since to my eye a knick looks like a lemon wedge indented into the face of a box- that's what I've been working towards. Made a box, made a cylinder, moved the cylinder so half of its base sits on top of the box face on which I want the indentation, and then used pushpull and subtract to take out a shallow semi-circular cut off the top of the box (did two of these about 20 units apart on the same face).

Here is where I ran into my own limitations. I don't know how to taper the semicircular cut so that it actually slopes off the face to the edge and doesn't look like a clean cut depression. I need it to slope to the edge at a 2% angle. I've tried tapering many times, but I don't think I completely understand the concept of the tapering axis (or rather I know that I completely misunderstand it) because all I end up doing is tapering the various faces of the box and the knick cut stays the same. I also tried out all the tools on the ribbon that look like they can be used for filling in or smoothing edges, but without any luck. Or should I be approaching the process of making the knick from a completely different set of commands?

View 0 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved